Bug 214113 - (scummvm-amazon) Review Request: flight-of-the-amazon-queen - Flight of the Amazon Queen - Adventure Game
Review Request: flight-of-the-amazon-queen - Flight of the Amazon Queen - Adv...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On: scummvm
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-05 15:20 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-10 04:05:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-11-05 15:20:05 EST
Spec URL: http://people.atrpms.net/~hdegoede/flight-of-the-amazon-queen.spec
SRPM URL: http://people.atrpms.net/~hdegoede/flight-of-the-amazon-queen-1.0-1.src.rpm
Description:
It is 1949 and you play Joe King, pilot for hire with his small private plane
the 'Amazon Queen'. The game is a spoof of old timey radio adventure serials,
and as it begins we find Joe in one of those typical situations. It is 11:58
and 36 seconds and counting, Joe and his date are tied up in an abandoned
warehouse ("you really know how to show a girl a good time, Joe!"), and a bomb
is set to go off at midnight!  

Of course they escape, in the nick of time, and immediately set us up for the
next 'adventure'. Joe suddenly remembers that he is scheduled to fly the famous
movie star, Faye Russell, to a photo shoot in the Amazon jungle the next
morning.

Notice that this package contains the floppy version, the CD version is also 
available in the %{name}-cd package. The CD version contains
additional / longer cutscenes and voice acting, but also is much larger: the CD
version ways in at 37 MB where as this version is only 7 MB.

---

Note that this package requires scummvm, whose review request is here:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=214055

I'll also be submitting the cd version sometime this week. See the scummvm review for all scummvm games which I'm submitting.
Comment 1 Sander Hoentjen 2006-11-05 17:01:58 EST
Why the versioned require on scummvm? There is no older version available for
fedora. In addition a scummvm-0.8.2 from a certain other repo works just fine as
well. Same goes for the other scumm-games.
Comment 2 Hans de Goede 2006-11-06 01:20:10 EST
scummvm-0.9.1 is under review too, and that is what I tested with. I don't want
to be getting bugs caused by older scummvm versions then what I tested with.
Comment 3 Christopher Stone 2006-11-08 19:03:06 EST
Hans, I tested the yesterday, and I am not seeing any text beind displayed above
the people when they talk.  The CD version is fine, but this version doesn't
have speech yet I'm pretty sure it should atleast have text! :)
Comment 4 Hans de Goede 2006-11-09 01:37:32 EST
Thats probably because you ran the CD version first and it settings where saved
and are now used by the floppy version. Try cleaning out ~/.scummvm/queen.*

Or press F1 to goto to the load/save menu and try enabling the text. Funny it
can be disabled in the floppy version though :)
Comment 5 Christopher Stone 2006-11-09 18:11:52 EST
Ah okay, I think I must have had some old setting left over from an older
install.  I removed my ~/.scummvmrc file and this fixed the problem.
Comment 6 Christopher Stone 2006-11-09 18:26:34 EST
==== REVIEW CHECKLIST ====
- rpmlint output
W: flight-of-the-amazon-queen no-%build-section

okay, but no harm in enabling %build either
- spec file named according to package naming guidelines
- spec filename matches %{name}
- package meets packaging guidelines
- licensed as distributable, see
https://www.redhat.com/archives/fedora-extras-list/2006-November/msg00030.html
- License file included in %doc
- spec written in American english
- spec file is legible
- sources match upstream
eafb6bc4edc6255b871477cfc54312de  FOTAQ_Floppy.zip
- package successfully compiles and builds on FC5 X86_64
- all dependencies listed in BR
- no locales
- no shared libraries
- package is not relocatable
- package owns all directories it creates
- no duplicates in %files
- file permissions set properly
- package has proper %clean section
- macro usage is consistent
- package contains permissible content
- no large documentation
- no header files or static libraries
- no pkgconfig files
- no devel subpackage required
- no .la files
- package contains proper .desktop file
- package does not own files or directories owned by other packages

APPROVED

==== SHOULD ====
- uncomment %build to make rpmlint happy
- add Provides: fotaq for easier commandline installs
- add comment above license pointing to distribution discussions on f-e-l
Comment 7 Hans de Goede 2006-11-10 04:05:17 EST
(In reply to comment #6)
> ==== SHOULD ====
> - uncomment %build to make rpmlint happy
Done

> - add Provides: fotaq for easier commandline installs
Not done, I deliberately choose the long name as fotaq is a much cryptic giving
no information about the package contents.

> - add comment above license pointing to distribution discussions on f-e-l
Done

Imported and Build, Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.